AC_DEFUN([AC_CHECK_NCURSES],
[
	AC_SUBST(NCURSES_LIBS)
	AC_SUBST(NCURSES_CPPFLAGS)
	
	AC_ARG_WITH(ncurses-dir, 
		AS_HELP_STRING(--with-ncurses-dir,Use path to ncurses installation), [
		if ! test -z "$with_ncurses_dir"; then
			NCURSES_CPPFLAGS="-I$with_ncurses_dir/include"
			NCURSES_LIBS="-L$with_ncurses_dir/lib"
		fi
	])

	save_CPPFLAGS="$CPPFLAGS"
	save_LDFLAGS="$LDFLAGS"
	CPPFLAGS="$CPPFLAGS $NCURSES_CPPFLAGS"
	LDFLAGS="$LDFLAGS $NCURSES_LIBS"
	have_ncurses_h=""
	AC_CHECK_HEADERS([ncurses.h],
	[
		have_ncurses_h="yes"
	], [
		AC_CHECK_HEADERS([ncurses/ncurses.h],
		[
			have_ncurses_h="yes"
		])
	])

	if test "x$have_ncurses_h" = "xyes"; then
		AC_CHECK_LIB([ncurses], [initscr],
		[
			AC_DEFINE([HAVE_NCURSES], 1, [define if you have ncurses])
			NCURSES_LIBS="$NCURSES_LIBS -lncurses"
			have_ncurses="yes"
		])
	fi

	$as_unset have_ncurses_h

	CPPFLAGS="$save_CPPFLAGS"
	LDFLAGS="$save_LDFLAGS"
])
